%global srcname copr


Name:       python-copr
Version:    1.132
Release:    1%{?dist}
Summary:    Python interface for Copr

License:    GPL-2.0-or-later
URL:        https://github.com/fedora-copr/copr

Source0:    %name-%version.tar.gz

BuildArch:  noarch

BuildRequires: libxslt
BuildRequires: util-linux

BuildRequires: make

%global _description\
COPR is lightweight build system. It allows you to create new project in WebUI,\
and submit new builds and COPR will create yum repository from latest builds.\
\
This package contains python interface to access Copr service. Mostly useful\
for developers only.\


%description %_description


%package -n python3-copr
Summary:        Python interface for Copr

Requires: python3-requests-gssapi

BuildRequires: python3-devel
BuildRequires: python3-sphinx
BuildRequires: python3-pytest
BuildRequires: python3-requests-gssapi
BuildRequires: python3-filelock
BuildRequires: pyproject-rpm-macros

%generate_buildrequires
%pyproject_buildrequires -r

%description -n python3-copr
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package contains python interface to access Copr service. Mostly useful
for developers only.



%package -n python-copr-doc
Summary:    Code documentation for python-copr package

%description doc
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package includes documentation for python-copr. Mostly useful for
developers only.


%prep
%setup -q


%build
version=%version %py3_build


mv copr/README.rst ./

make -C docs %{?_smp_mflags} html %{?sphinxbuild}


%install
version=%version %py3_install


find %{buildroot} -name '*.exe' -delete

install -d %{buildroot}%{_pkgdocdir}
cp -a docs/_build/html %{buildroot}%{_pkgdocdir}/

%check
%{__python3} -m pytest -vv copr/test


%files -n python3-copr
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%files -n python-copr-doc
%license LICENSE
%doc %{_pkgdocdir}

%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.132-1
- initial build
